MB-Civil.IT

مشکل آپدیت پکیج های ریپازیتوری در Debian

با سلام - وقت بخیر خدمت اساتید و اعضای محترم

عرض شود که ، دبیان و نسخه ی CD دبیان 64بیتی بدون بسته های اضافه رو با ورژن 9.8 از سایت دبیان دریافت کردم - همون نسخه ی مینیمال دبیان و روی سیستم دیگه ای نصبش کردم ، - متاسفانه هرکاری می کنم نمی تونم ریپازیتوری رو اپدیت کنم ، از همین جهت وقتی php نصب میکنم نسخه ی 7 به بالا رو نمیاره ، فقط ورژن 7.0 رو مینصبه و یا الانم که میام nginx رو نصب کنم ، به جای اخرین نسخه 1.14 باشه نسخه 1.10 رو می نصبه - مثلا برای تست خواستم geany رو نصب کنم ، دیدم که نسخه ی1.29 2016 رو نصب میکنه در حالی که الان نسخه ی 2019 و 1.34 عرضه شده -

هرچی دستور apt update رو میزنم خطای عدم دسترسی به لینک میده ، حتی مسیر etcaptsource.list رو هم چک کردم و مطابق با داکیومنت سایت دبیان هستش ، خود لینک های ریپازیتوری و ftp ها رو جداگانه ping و تست کردم همه درست بود اما از طریق دستور apt update هیچی نمیشناسه و البته upgrade هم نمیشه - 3 عکس هم ضمیمه دارم

-

deb apt problem

deb apt problem2
deb3

لذت یادگیری با توسینسو
به عنوان شخصی که مدت هاست از سایت توسینسو استفاده می کنم باید بگم که واقعاً یکی از بهترین مرجع ها برای ارتقاء دانش شخصی هست. دوره های سایت، راهکارها و مطالب، همگی عالی هستند.
MB-Civil.IT

سلام مجدد - لازم به ذکر هستش ، مثلا فقط برای نصب نسخه های بالاتر php مثل php 7.3 با سرچ هایی که داشتم ، ریپو https://packages.sury.orgphpapt.gpg این رو اضافه کردم و همچنین یه کلید جدید wget -O etcapttrusted.gpg.dphp.gpg از oerdnj نیز sign نمودم / خب الان فقط php به روز شد ، ولی پکیج های دیگه ریپو به روز نمیشن !

پاسخ شما
برای ارسال پاسخ خود وارد شوید.
از سرتاسر توسینسو
تنظیمات حریم خصوصی
تائید صرفنظر
×

تو می تونی بهترین نتیجه رو تضمینی با بهترین های ایران بدست بیاری ، پس مقایسه کن و بعد خرید کن : فقط توی جشنواره تابستانه می تونی امروز ارزونتر از فردا خرید کنی ....